package com.dgtly.sync.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 立邦用户数据对象 meta_userinfo_all
 * 
 * @author qxp
 * @date 2020-07-16
 */
public class MetaUserinfoAll
{
    private static final long serialVersionUID = 1L;

    /** null */
    private Long id;

    /** null */
    private String name;

    /** null */
    private String loginname;

    /** null */
    private String email;

    /** null */
    private String mobile;

    /** null */
    private String sapemployeeid;

    /** null */
    private Long status;

    /** null */
    private Date leavedate;

    /** null */
    private String objid1;

    /** null */
    private String stext1;

    /** null */
    private String objid2;

    /** null */
    private String stext2;

    /** null */
    private String objid3;

    /** null */
    private String stext3;

    /** null */
    private String objid4;

    /** null */
    private String stext4;

    /** null */
    private String objid5;

    /** null */
    private String stext5;

    /** null */
    private String objid6;

    /** null */
    private String poste;

    /** 包id */
    private String packageId;

    /** null */
    private String lineId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setLoginname(String loginname) 
    {
        this.loginname = loginname;
    }

    public String getLoginname() 
    {
        return loginname;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setMobile(String mobile) 
    {
        this.mobile = mobile;
    }

    public String getMobile() 
    {
        return mobile;
    }
    public void setSapemployeeid(String sapemployeeid) 
    {
        this.sapemployeeid = sapemployeeid;
    }

    public String getSapemployeeid() 
    {
        return sapemployeeid;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }
    public void setLeavedate(Date leavedate) 
    {
        this.leavedate = leavedate;
    }

    public Date getLeavedate() 
    {
        return leavedate;
    }
    public void setObjid1(String objid1) 
    {
        this.objid1 = objid1;
    }

    public String getObjid1() 
    {
        return objid1;
    }
    public void setStext1(String stext1) 
    {
        this.stext1 = stext1;
    }

    public String getStext1() 
    {
        return stext1;
    }
    public void setObjid2(String objid2) 
    {
        this.objid2 = objid2;
    }

    public String getObjid2() 
    {
        return objid2;
    }
    public void setStext2(String stext2) 
    {
        this.stext2 = stext2;
    }

    public String getStext2() 
    {
        return stext2;
    }
    public void setObjid3(String objid3) 
    {
        this.objid3 = objid3;
    }

    public String getObjid3() 
    {
        return objid3;
    }
    public void setStext3(String stext3) 
    {
        this.stext3 = stext3;
    }

    public String getStext3() 
    {
        return stext3;
    }
    public void setObjid4(String objid4) 
    {
        this.objid4 = objid4;
    }

    public String getObjid4() 
    {
        return objid4;
    }
    public void setStext4(String stext4) 
    {
        this.stext4 = stext4;
    }

    public String getStext4() 
    {
        return stext4;
    }
    public void setObjid5(String objid5) 
    {
        this.objid5 = objid5;
    }

    public String getObjid5() 
    {
        return objid5;
    }
    public void setStext5(String stext5) 
    {
        this.stext5 = stext5;
    }

    public String getStext5() 
    {
        return stext5;
    }
    public void setObjid6(String objid6) 
    {
        this.objid6 = objid6;
    }

    public String getObjid6() 
    {
        return objid6;
    }
    public void setPoste(String poste) 
    {
        this.poste = poste;
    }

    public String getPoste() 
    {
        return poste;
    }
    public void setPackageId(String packageId) 
    {
        this.packageId = packageId;
    }

    public String getPackageId() 
    {
        return packageId;
    }
    public void setLineId(String lineId) 
    {
        this.lineId = lineId;
    }

    public String getLineId() 
    {
        return lineId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("loginname", getLoginname())
            .append("email", getEmail())
            .append("mobile", getMobile())
            .append("sapemployeeid", getSapemployeeid())
            .append("status", getStatus())
            .append("leavedate", getLeavedate())
            .append("objid1", getObjid1())
            .append("stext1", getStext1())
            .append("objid2", getObjid2())
            .append("stext2", getStext2())
            .append("objid3", getObjid3())
            .append("stext3", getStext3())
            .append("objid4", getObjid4())
            .append("stext4", getStext4())
            .append("objid5", getObjid5())
            .append("stext5", getStext5())
            .append("objid6", getObjid6())
            .append("poste", getPoste())
            .append("packageId", getPackageId())
            .append("lineId", getLineId())
            .toString();
    }
}
